# List a consumer's order items

Retrieves order items for a consumer.

Endpoint: GET /v2.1/orderConsumers/{orderConsumerRef}/orderItems
Version: v2.1
Security: BasicAuth

## Path parameters:

  - `orderConsumerRef` (string, required)
    The order consumer reference. This is a unique identifier of the order consumer. Automatically generated when you created the order consumer. If you don't know the order consumer reference, first list order consumers.
    Example: "2d7de9df-45a2-45ea-872c-30e45139007d"

## Response 200 fields (application/json):

  - `offset` (integer)
    The request's offset.

  - `limit` (integer)
    The request's limit.
    Example: 10

  - `first` (object)
    The request's first list of order items URL.

  - `first.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/111d106a-feff-42b2-90fb-a6ed136ec333"

  - `last` (object)
    The request's last list of order items URL.

  - `last.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/111d106a-feff-42b2-90fb-a6ed136ec333"

  - `next` (object)
    The request's next list of order items URL.

  - `next.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/111d106a-feff-42b2-90fb-a6ed136ec333/orderItems?offset=1&limit=10"

  - `href` (string)
    The request's URL.
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/orderItems?offset=0&limit=10"

  - `items` (array)

  - `items.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/111d106a-feff-42b2-90fb-a6ed136ec333"

## Response 400 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 400

  - `code` (integer)
    The HTTP response status code.
    Example: 400

  - `message` (string)
    firstName: firstName may not be null.

  - `developerMessage` (string)
    Error description for developers.
    Example: "firstName: may not be null."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"

## Response 401 fields (application/json):

  - `status` (string)
    The HTTP request status.
    Example: "UNAUTHORIZED"

  - `code` (integer)
    The HTTP response status code.
    Example: 401

  - `message` (string)
    Error description.
    Example: "Authentication credentials are required to access the resource. All requests must be authenticated."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"


